## ros-foxy-ecl-build 1.0.2

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(ecl_build)

##############################################################################
# Find Packages
##############################################################################

find_package(ament_cmake REQUIRED)

##############################################################################
# CMake Modules
##############################################################################

set(${PROJECT_NAME}_MODULES "")
list(APPEND ${PROJECT_NAME}_MODULES ${CMAKE_SOURCE_DIR}/cmake/ecl_platform_detection.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ${CMAKE_SOURCE_DIR}/cmake/ecl_package.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ${CMAKE_SOURCE_DIR}/cmake/ecl_find_sse.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ${CMAKE_SOURCE_DIR}/cmake/ecl_build_utilities.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ${CMAKE_SOURCE_DIR}/cmake/ecl_cxx.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ${CMAKE_SOURCE_DIR}/cmake/cotire.cmake)

##############################################################################
# Exports
##############################################################################

ament_package(CONFIG_EXTRAS ${${PROJECT_NAME}_MODULES})

##############################################################################
# Installs
##############################################################################

install(DIRECTORY cmake
        DESTINATION share
)

=== debian/changelog ===
ros-foxy-ecl-build (1.0.2-2focal) focal; urgency=high

  * Cross-platform req and enable cxx11, cxx14
  * Decouple warning levels from enabling standards

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 17 Aug 2018 04:00:00 -0000

ros-foxy-ecl-build (0.62.0-2focal) focal; urgency=high

  * Rebuilt for ament
  * cxx14 support
  * ubuntu distros zesty and artful

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 13 Mar 2018 04:00:00 -0000

ros-foxy-ecl-build (0.61.6-2focal) focal; urgency=high

  * add additional ubuntu releases to ecl_detect_distro
  * cmake message bugfixes to always include type flag (removes warnings)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Feb 2017 05:00:00 -0000

ros-foxy-ecl-build (0.61.5-2focal) focal; urgency=high

  * avoid re-loading cotire for every project

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 25 Aug 2016 04:00:00 -0000

ros-foxy-ecl-build (0.61.4-2focal) focal; urgency=high

  * check, but just quietly avoid including cotire if version check fails.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 20 Mar 2016 04:00:00 -0000

ros-foxy-ecl-build (0.61.3-2focal) focal; urgency=high

  * added corite cmake module for speeding up builds

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 23 Feb 2016 05:00:00 -0000

ros-foxy-ecl-build (0.61.2-2focal) focal; urgency=high

  * some comments about tricky c++11 hazards.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 09 Jan 2016 05:00:00 -0000

ros-foxy-ecl-build (0.61.1-2focal) focal; urgency=high

  * ecl_detect_filesystem cmake macro added.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 16 Aug 2015 04:00:00 -0000

ros-foxy-ecl-build (0.61.0-2focal) focal; urgency=high

  * convenience macros for cxx11 flag checks and settings.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

ros-foxy-ecl-build (0.60.1-2focal) focal; urgency=high

  * ecl_check_for->ecl_detect for consistency.
  * use catkin exports for cmake modules, closes #2 <https://github.com/stonier/ecl_tools/issues/2>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-foxy-ecl-build
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ecl-license, ros-foxy-ros-workspace
Homepage: http://wiki.ros.org/ecl_build
Standards-Version: 3.9.2

Package: ros-foxy-ecl-build
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ecl-license, ros-foxy-ros-workspace
Description: Collection of cmake/make build tools primarily for ecl development itself, but also contains a few cmake modules useful outside of the ecl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ecl-build//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
